with GNATCOM.Dispinterface;

package MSHTML.IHTMLEventObj_Object is

   type IHTMLEventObj_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_srcElement
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_altKey
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ctrlKey
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_shiftKey
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_returnValue
     (This : IHTMLEventObj_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_returnValue
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_cancelBubble
     (This : IHTMLEventObj_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_cancelBubble
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fromElement
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_toElement
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_keyCode
     (This : IHTMLEventObj_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_keyCode
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_button
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_type
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_qualifier
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_reason
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_x
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_y
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientX
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clientY
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetX
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_offsetY
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_screenX
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_screenY
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

   function Get_srcFilter
     (This : IHTMLEventObj_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLEventObj_Object;

